#include <bits/stdc++.h>
#define ll long long
using namespace std;
ll n, k, x;
vector<ll> p;
int main()
{
    ios_base::sync_with_stdio(false); cin.tie(NULL);
    cin >> n >> k >> x;
    p.resize(n);
    bool veci=true;
    for (ll i=0;i<n;i++){
        cin >> p[i];
        if (p[i]<0) veci=false;
    }
    if (veci){
        for (ll i=0;i<n-k;i++){
            ll ans=0, koef=1;
            for (ll j=0;j<i+k;j++){
                ans+=p[j]*koef;
                if (koef<x) koef++;
            }
            cout << ans << " ";
        }
    }
    return 0;
}